// 
// 	VERILOG-HDL generated from `nao4_y.vbe` VHDL description
// 	by	: B2V (Beh to VERILOG)
// 	date	: Fri Feb  2 16:48:34 1996
// 

`resetall
`timescale 1 ns / 10 ps
`celldefine

// Module Declaration
module	nao4_y	(f, j2, j1, j0, i);
	output	f;
	input	j2, j1, j0, i;
	wire	f_0, f_1;

	// Specify block

	specify

		// Specify Parameters
		specparam	Trans$		= 0;
		specparam	Area$		= 1512;
		specparam	Power$		= 0;
		specparam	Fdrive$f	= 0;
		specparam	Rdrive$f	= 0;
		specparam	eresof$f	= 2048;
		specparam	eresor$f	= 1844;
		specparam	dcap$f		= 0;
		specparam	tj0_ff		= 0.954;
		specparam	tj0_fr		= 0.807;
		specparam	Load$j0		= 0.092;
		specparam	inload$j0	= 0.092;
		specparam	tj1_ff		= 0.906;
		specparam	tj1_fr		= 0.901;
		specparam	Load$j1		= 0.092;
		specparam	inload$j1	= 0.092;
		specparam	tj2_ff		= 0.810;
		specparam	tj2_fr		= 0.954;
		specparam	Load$j2		= 0.092;
		specparam	inload$j2	= 0.092;
		specparam	ti_ff		= 0.647;
		specparam	ti_fr		= 0.757;
		specparam	Load$i		= 0.074;
		specparam	inload$i	= 0.074;

		// Path Delays
		( j0  -=>	f)		= (tj0_fr, tj0_ff);
		( j1  -=>	f)		= (tj1_fr, tj1_ff);
		( j2  -=>	f)		= (tj2_fr, tj2_ff);
		( i  -=>	f)		= (ti_fr, ti_ff);

	endspecify

	// Instantiation block
		and (f_1, j0, j1);
		and (f_0, f_1, j2);
		nor (f, f_0, i);

endmodule
`endcelldefine
