// 
// 	VERILOG-HDL generated from `nmx2_y.vbe` VHDL description
// 	by	: B2V (Beh to VERILOG)
// 	date	: Fri Feb  2 16:48:37 1996
// 

`resetall
`timescale 1 ns / 10 ps
`celldefine

// Module Declaration
module	nmx2_y	(f, i1, i0, j1, j0);
	output	f;
	input	i1, i0, j1, j0;
	wire	f_0, f_1;

	// Specify block

	specify

		// Specify Parameters
		specparam	Trans$		= 0;
		specparam	Area$		= 1512;
		specparam	Power$		= 0;
		specparam	Fdrive$f	= 0;
		specparam	Rdrive$f	= 0;
		specparam	eresof$f	= 1674;
		specparam	eresor$f	= 2085;
		specparam	dcap$f		= 0;
		specparam	tj0_ff		= 1.033;
		specparam	tj0_fr		= 0.956;
		specparam	Load$j0		= 0.086;
		specparam	inload$j0	= 0.086;
		specparam	tj1_ff		= 0.895;
		specparam	tj1_fr		= 1.019;
		specparam	Load$j1		= 0.086;
		specparam	inload$j1	= 0.086;
		specparam	ti0_ff		= 0.750;
		specparam	ti0_fr		= 1.009;
		specparam	Load$i0		= 0.086;
		specparam	inload$i0	= 0.086;
		specparam	ti1_ff		= 0.632;
		specparam	ti1_fr		= 1.080;
		specparam	Load$i1		= 0.086;
		specparam	inload$i1	= 0.086;

		// Path Delays
		( j0  -=>	f)		= (tj0_fr, tj0_ff);
		( j1  -=>	f)		= (tj1_fr, tj1_ff);
		( i0  -=>	f)		= (ti0_fr, ti0_ff);
		( i1  -=>	f)		= (ti1_fr, ti1_ff);

	endspecify

	// Instantiation block
		and (f_1, i0, i1);
		and (f_0, j0, j1);
		nor (f, f_0, f_1);

endmodule
`endcelldefine
