# include <genlib.h>
main ()
{

DEF_LOFIG ("accu");
/* declaration of the cell's external connectors */
LOCON ("ALU_OUT[3:0]",'I',"alu_out[3:0]");
LOCON ("Q0",'I',"q0");
LOCON ("Q3",'I',"q3");
LOCON ("FONC",'I',"fonc");
LOCON ("TEST",'I',"test");
LOCON ("FONC_MODE",'X',"fonc_mode");
LOCON ("SCIN",'I',"scin");
LOCON ("SCOUT",'O',"scout");
LOCON ("F0",'O',"f0");
LOCON ("F3",'O',"f3");
LOCON ("DECALD",'O',"decald");
LOCON ("DECALG",'O',"decalg");
LOCON ("Q[3:0]",'X',"q[3:0]");
LOCON ("I[8:6]",'I',"i[8:6]");
LOCON ("CK",'I',"ck");
LOCON ("VDD",'I',"vdd");
LOCON ("VSS",'I',"vss");

/* generation of the multiplexing and shifting commands */

LOINS ("n1_y","n11sa","i[8]","decaln","vdd","vss",0);
LOINS ("n1_y","n12sa","i[7]","ni7","vdd","vss",0);
LOINS ("n1_y","n13sa","i[6]","ni6","vdd","vss",0);
LOINS ("n1_y","n14sa","fonc","n14s","vdd","vss",0);
LOINS ("n1_y","n15sa","test","n15s","vdd","vss",0);
LOINS ("b1_y","BDECALD","decalda","decald","vdd","vss",0);
LOINS ("b1_y","BDECALG","decalga","decalg","vdd","vss",0);

LOINS ("a2_y","a21sa","i[8]","ni7","decalda","vdd","vss",0);
LOINS ("a2_y","a22sa","i[8]","i[7]","decalga","vdd","vss",0);
LOINS ("a3_y","a31sa","decaln","ni7","ni6","selalu","vdd","vss",0);
LOINS ("o2_y","o21sa","i[8]","ni7","o21s","vdd","vss",0);
LOINS ("a2_y","a24sa","fonc","n15s","fonc_mode","vdd","vss",0);
LOINS ("a2_y","a25sa","test","n14s","test_mode","vdd","vss",0);
LOINS ("a2_y","a26sa","o21s","ni6","waccu","vdd","vss",0);

/* taking in account of the above commands */

LOINS ("a2_y","a27sa","alu_out[3]","selalu","a27s","vdd","vss",0);
LOINS ("a2_y","a28sa","alu_out[2]","selalu","a28s","vdd","vss",0);
LOINS ("a2_y","a29sa","alu_out[1]","selalu","a29s","vdd","vss",0);
LOINS ("a2_y","a210sa","alu_out[0]","selalu","a210s","vdd","vss",0);

LOINS ("a2_y","a211sa","q[3]","i[8]","a211s","vdd","vss",0);
LOINS ("a2_y","a212sa","q[2]","i[8]","a212s","vdd","vss",0);
LOINS ("a2_y","a213sa","q[1]","i[8]","a213s","vdd","vss",0);
LOINS ("a2_y","a214sa","q[0]","i[8]","a214s","vdd","vss",0);

LOINS ("o2_y","o22sa","a27s","a211s","insh3","vdd","vss",0);
LOINS ("o2_y","o23sa","a28s","a212s","insh2","vdd","vss",0);
LOINS ("o2_y","o24sa","a29s","a213s","insh1","vdd","vss",0);
LOINS ("o2_y","o25sa","a210s","a214s","insh0","vdd","vss",0);

/* inout signals:both input and output have to be inverted because of the plots,as well as the direction instruction */

LOINS ("a2_y","a215sa","decalga","insh3","f3","vdd","vss",0);
LOINS ("a2_y","a228sa","decalda","insh0","f0","vdd","vss",0);


/* shifter */

/* bit slice 3 */
LOINS ("a2_y","a216sa","q3","decalda","a216s","vdd","vss",0);
LOINS ("a2_y","a217sa","insh3","decaln","a217s","vdd","vss",0);
LOINS ("a2_y","a218sa","insh2","decalga","a218s","vdd","vss",0);

/* bit slice 2 */
LOINS ("a2_y","a219sa","insh3","decalda","a219s","vdd","vss",0);
LOINS ("a2_y","a220sa","insh2","decaln","a220s","vdd","vss",0);
LOINS ("a2_y","a221sa","insh1","decalga","a221s","vdd","vss",0);

/* bit slice 1 */
LOINS ("a2_y","a222sa","insh2","decalda","a222s","vdd","vss",0);
LOINS ("a2_y","a223sa","insh1","decaln","a223s","vdd","vss",0);
LOINS ("a2_y","a224sa","insh0","decalga","a224s","vdd","vss",0);

/* bit slice 0 */
LOINS ("a2_y","a225sa","insh1","decalda","a225s","vdd","vss",0);
LOINS ("a2_y","a226sa","insh0","decaln","a226s","vdd","vss",0);
LOINS ("a2_y","a227sa","q0","decalga","a227s","vdd","vss",0);


/* register input */


LOINS ("o3_y","o31sa","a216s","a217s","a218s","shacc3","vdd","vss",0);
LOINS ("o3_y","o32sa","a219s","a220s","a221s","shacc2","vdd","vss",0);
LOINS ("o3_y","o33sa","a222s","a223s","a224s","shacc1","vdd","vss",0);
LOINS ("o3_y","o34sa","a225s","a226s","a227s","shacc0","vdd","vss",0);


/* writing in the register */

LOINS ("a2_y","a229sa","ck","w","ckin","vdd","vss",0);
LOINS ("a2_y","a230sa","test_mode","q[3]","scout","vdd","vss",0);
LOINS ("a2_y","a231sa","fonc_mode","waccu","a231s","vdd","vss",0);
LOINS ("o2_y","o26sa","test_mode","a231s","w","vdd","vss",0);


LOINS ("ms2_y","m3","shacc3","q[2]","test_mode","ckin","q[3]","vdd","vss",0);
LOINS ("ms2_y","m2","shacc2","q[1]","test_mode","ckin","q[2]","vdd","vss",0);
LOINS ("ms2_y","m1","shacc1","q[0]","test_mode","ckin","q[1]","vdd","vss",0);
LOINS ("ms2_y","m0","shacc0","scin","test_mode","ckin","q[0]","vdd","vss",0);

/* scan-out output inversion in prevision of the plot's inversion */



SAVE_LOFIG();
}
