# include <genlib.h>
main ()
{
DEF_LOFIG ("muxout");
/* declaration of the cell's external connectors */
LOCON ("RA[3:0]",'I',"ra[3:0]");
LOCON ("ALU_OUT[3:0]",'I',"alu_out[3:0]");
LOCON ("NOE",'I',"noe");
LOCON ("OE",'O',"oe");
LOCON ("Y[3:0]",'O',"y[3:0]");
LOCON ("I[8:6]",'I',"i[8:6]");
LOCON ("VDD",'I',"vdd");
LOCON ("VSS",'I',"vss");

/* generation of the multiplexing commands */

LOINS ("n1_y","n11ms","i[8]","ni8","vdd","vss",0);
LOINS ("n1_y","n12ms","i[6]","ni6","vdd","vss",0);
/* ra -> y */ 
LOINS ("a3_y","a31ms","i[7]","ni6","ni8","selray","vdd","vss",0);
/* ALU's output -> y */ 
LOINS ("n1_y","n13ms","selray","selaluy","vdd","vss",0);

/* taking in account of the above commands */

/* ra(3 downto 0) -> y(3 downto 0) */ 
LOINS ("a2_y","a21ms","ra[0]","selray","syra0","vdd","vss",0);
LOINS ("a2_y","a22ms","ra[1]","selray","syra1","vdd","vss",0);
LOINS ("a2_y","a23ms","ra[2]","selray","syra2","vdd","vss",0);
LOINS ("a2_y","a24ms","ra[3]","selray","syra3","vdd","vss",0);
/* alu_out(3 downto 0) -> y(3 downto 0) */ 
LOINS ("a2_y","a25ms","alu_out[0]","selaluy","syalu0","vdd","vss",0);
LOINS ("a2_y","a26ms","alu_out[1]","selaluy","syalu1","vdd","vss",0);
LOINS ("a2_y","a27ms","alu_out[2]","selaluy","syalu2","vdd","vss",0);
LOINS ("a2_y","a28ms","alu_out[3]","selaluy","syalu3","vdd","vss",0);

/* last stage of the multiplexer : amd's y output */

LOINS ("o2_y","o21ms","syra0","syalu0","y[0]","vdd","vss",0);
LOINS ("o2_y","o22ms","syra1","syalu1","y[1]","vdd","vss",0);
LOINS ("o2_y","o23ms","syra2","syalu2","y[2]","vdd","vss",0);
LOINS ("o2_y","o24ms","syra3","syalu3","y[3]","vdd","vss",0);


LOINS ("n1_y","n1oe","noe","oe","vdd","vss",0);
SAVE_LOFIG();
}
