# include <genlib.h>
main ()
{
DEF_LOFIG ("alu");
/* declaration of the cell's external connectors */
LOCON ("R[3:0]",'I',"r[3:0]");
LOCON ("S[3:0]",'I',"s[3:0]");
LOCON ("ALU_OUT[3:0]",'O',"alu_out[3:0]");
LOCON ("CIN",'I',"cin");
LOCON ("COUT",'O',"cout");
LOCON ("NP",'O',"np");
LOCON ("NG",'O',"ng");
LOCON ("SIGNE",'O',"signe");
LOCON ("ZERO",'O',"zero");
LOCON ("OVR",'O',"ovr");
LOCON ("I[5:3]",'I',"i[5:3]");
LOCON ("VDD",'I',"vdd");
LOCON ("VSS",'I',"vss");

/* bit slice 0 */ 

LOINS ("xr2_y","xor0_A0","r[0]","n0","x00","vdd","vss",0);
LOINS ("xr2_y","xor1_A0","s[0]","n1","x10","vdd","vss",0);
LOINS ("na2_y","nand0_A0","x00","x10","gb0","vdd","vss",0);
LOINS ("no2_y","nor1_A0","x00","x10","pb0","vdd","vss",0);
LOINS ("na2_y","nand1_A0","gb0","na20","cout0","vdd","vss",0);
LOINS ("n1_y","not_A0","pb0","not0","vdd","vss",0);
LOINS ("na2_y","nand2_A0","not0","cin","na20","vdd","vss",0);
LOINS ("no2_y","nor2_A0","n2","gb0","no20","vdd","vss",0);
LOINS ("no2_y","nor3_A0","n3","pb0","no30","vdd","vss",0);
LOINS ("no2_y","nor4_A0","n4","cin","no40","vdd","vss",0);
LOINS ("xr2_y","xor2_A0","no20","no30","x20","vdd","vss",0);
LOINS ("xr2_y","xor3_A0","x20","no40","fb0","vdd","vss",0);

/* bit slice 1 */

LOINS ("xr2_y","xor0_A1","r[1]","n0","x01","vdd","vss",0);
LOINS ("xr2_y","xor1_A1","s[1]","n1","x11","vdd","vss",0);
LOINS ("na2_y","nand0_A1","x01","x11","gb1","vdd","vss",0);
LOINS ("no2_y","nor1_A1","x01","x11","pb1","vdd","vss",0);
LOINS ("na2_y","nand1_A1","gb1","na21","cout1","vdd","vss",0);
LOINS ("n1_y","not_A1","pb1","not1","vdd","vss",0);
LOINS ("na2_y","nand2_A1","not1","cout0","na21","vdd","vss",0);
LOINS ("no2_y","nor2_A1","n2","gb1","no21","vdd","vss",0);
LOINS ("no2_y","nor3_A1","n3","pb1","no31","vdd","vss",0);
LOINS ("no2_y","nor4_A1","n4","cout0","no41","vdd","vss",0);
LOINS ("xr2_y","xor2_A1","no21","no31","x21","vdd","vss",0);
LOINS ("xr2_y","xor3_A1","x21","no41","fb1","vdd","vss",0);

/* bit slice 2 */

LOINS ("xr2_y","xor0_A2","r[2]","n0","x02","vdd","vss",0);
LOINS ("xr2_y","xor1_A2","s[2]","n1","x12","vdd","vss",0);
LOINS ("na2_y","nand0_A2","x02","x12","gb2","vdd","vss",0);
LOINS ("no2_y","nor1_A2","x02","x12","pb2","vdd","vss",0);
LOINS ("na2_y","nand1_A2","gb2","na22","cout2","vdd","vss",0);
LOINS ("n1_y","not_A2","pb2","not2","vdd","vss",0);
LOINS ("na2_y","nand2_A2","not2","cout1","na22","vdd","vss",0);
LOINS ("no2_y","nor2_A2","n2","gb2","no22","vdd","vss",0);
LOINS ("no2_y","nor3_A2","n3","pb2","no32","vdd","vss",0);
LOINS ("no2_y","nor4_A2","n4","cout1","no42","vdd","vss",0);
LOINS ("xr2_y","xor2_A2","no22","no32","x22","vdd","vss",0);
LOINS ("xr2_y","xor3_A2","x22","no42","fb2","vdd","vss",0);

/* bit slice 3 */

LOINS ("xr2_y","xor0_A3","r[3]","n0","x03","vdd","vss",0);
LOINS ("xr2_y","xor1_A3","s[3]","n1","x13","vdd","vss",0);
LOINS ("na2_y","nand0_A3","x03","x13","gb3","vdd","vss",0);
LOINS ("no2_y","nor1_A3","x03","x13","pb3","vdd","vss",0);
LOINS ("na2_y","nand1_A3","gb3","na23","couta","vdd","vss",0);
LOINS ("n1_y","not_A3","pb3","not3","vdd","vss",0);
LOINS ("na2_y","nand2_A3","not3","cout2","na23","vdd","vss",0);
LOINS ("no2_y","nor2_A3","n2","gb3","no23","vdd","vss",0);
LOINS ("no2_y","nor3_A3","n3","pb3","no33","vdd","vss",0);
LOINS ("no2_y","nor4_A3","n4","cout2","no43","vdd","vss",0);
LOINS ("xr2_y","xor2_A3","no23","no33","x23","vdd","vss",0);
LOINS ("xr2_y","xor3_A3","x23","no43","signea","vdd","vss",0);

/* microinsruction decoder */

LOINS ("n1_y","not5_D","i[5]","ni5","vdd","vss",0);
LOINS ("na3_y","nand3_D","i[3]","i[4]","ni5","nn3","vdd","vss",0);
LOINS ("no2_y","nor_D","i[4]","ni5","n2","vdd","vss",0);
LOINS ("nxr2_y","nxor4_D","i[4]","i[5]","nn1","vdd","vss",0);
LOINS ("nxr2_y","nxor3_D","i[3]","i[5]","nn0","vdd","vss",0);
LOINS ("na2_y","nand_D","ni5","nn3","n4","vdd","vss",0);
LOINS ("n1_y","not0_D","nn3","n3","vdd","vss",0);
LOINS ("np1_y","notp4_D","nn1","n1","vdd","vss",0);
LOINS ("np1_y","notp3_D","nn0","n0","vdd","vss",0);

/* output cicuitery */
/* "flag" command for signals used only in case of arithmetic operations */

LOINS ("na2_y","naflag1","i[4]","i[3]","flag1","vdd","vss",0);
LOINS ("a2_y","naflag","ni5","flag1","flag","vdd","vss",0);

/* generation of prop and gen) */

LOINS ("n1_y","not0_csh","pb0","npb0","vdd","vss",0); 
LOINS ("n1_y","not1_csh","gb0","ngb0","vdd","vss",0); 
LOINS ("n1_y","not2_csh","gb3","ngb3","vdd","vss",0);
LOINS ("n1_y","npf","nprop","propf","vdd","vss",0);
LOINS ("n1_y","npg","ngen","genf","vdd","vss",0);
LOINS ("a2_y","npflag","propf","flag","p","vdd","vss",0); 
LOINS ("a2_y","ngflag","genf","flag","g","vdd","vss",0); 

LOINS ("no3_y","nor0_csh","pb3","pb2","pb1","no30_csh","vdd","vss",0);
LOINS ("no3_y","nor1_csh","gb1","pb2","pb3","no31_csh","vdd","vss",0);
LOINS ("no3_y","nor2_csh","no2_csh","no31_csh","ngb3","no32_csh","vdd","vss",0);

LOINS ("na2_y","nand0_csh","npb0","no30_csh","nprop","vdd","vss",0);
LOINS ("na2_y","nand1_csh","ngb0","no30_csh","na_csh","vdd","vss",0);

LOINS ("no2_y","nor_csh","gb2","pb3","no2_csh","vdd","vss",0);
LOINS ("a2_y","and_csh","na_csh","no32_csh","ngen","vdd","vss",0);

/* other flags */

LOINS ("na2_y","nand0_csb","fb0","fb1","na0_csb","vdd","vss",0);
LOINS ("na2_y","nand1_csb","fb2","signea","na1_csb","vdd","vss",0);
LOINS ("no2_y","nor_csb","na0_csb","na1_csb","zero","vdd","vss",0);
LOINS ("xr2_y","xor_csb","cout2","couta","ovr","vdd","vss",0);

/* inversion of all outputs in prevision of the plots' inversion */

LOINS ("n1_y","not0_csb","fb0","alu_out[0]","vdd","vss",0);
LOINS ("n1_y","not1_csb","fb1","alu_out[1]","vdd","vss",0);
LOINS ("n1_y","not2_csb","fb2","alu_out[2]","vdd","vss",0);
LOINS ("n1_y","not3_csb","signea","alu_out[3]","vdd","vss",0);

LOINS ("n1_y","not4_csb","signea","signe","vdd","vss",0);
LOINS ("n1_y","not0_p","p","np","vdd","vss",0);
LOINS ("n1_y","not0_g","g","ng","vdd","vss",0);
LOINS ("a2_y","coutflag","couta","flag","cout","vdd","vss",0);

SAVE_LOFIG();
}
