#INClude <genlib.h>
main ()
{
DEF_LOFIG ("chip");
LOCON ("A[3:0]",'I',"a[3:0]");
LOCON ("B[3:0]",'I',"b[3:0]");
LOCON ("D[3:0]",'I',"d[3:0]");
LOCON ("CIN",'X',"cin");
LOCON ("COUT",'X',"cout");
LOCON ("NP",'O',"np");
LOCON ("NG",'O',"ng");
LOCON ("SIGNE",'X',"signe");
LOCON ("ZERO",'O',"zero");
LOCON ("OVR",'O',"ovr");
LOCON ("I[8:0]",'I',"i[8:0]");
LOCON ("Q0",'X',"q0");
LOCON ("Q3",'X',"q3");
LOCON ("R0",'X',"r0");
LOCON ("R3",'X',"r3");
LOCON ("NOE",'I',"noe");
LOCON ("FONC",'I',"fonc");
LOCON ("TEST",'I',"test");
LOCON ("SCIN",'I',"scin");
LOCON ("SCOUT",'O',"scout");
LOCON ("CK",'I',"ck");
LOCON ("VDD",'I',"vdd");
LOCON ("VSS",'I',"vss");
LOCON ("VDDP",'I',"vddp");
LOCON ("VSSP",'I',"vssp");
LOCON ("Y[3:0]",'X',"y[3:0]");

/* ring of pads alimentation */

LOINS ("pvdde_sp","vdde_p0","vddp","vssp","vssp",0); 
LOINS ("pvsse_p","vsse_p0","vddp","vddp","vssp",0); 
LOINS ("pvsse_p","vsse_p1","vddp","vddp","vssp",0); 
LOINS ("pvdde_p","pvdde_p1","vddp","vssp","vssp",0); 

/* heart alimentation */

LOINS ("pvddi_p","vddi_p1","vdd","vddp","vddp","vssp","vssp",0); 
LOINS ("pvssi_p","vssi_p1","vss","vddp","vddp","vssp","vssp",0); 

LOINS ("pi_p","a3","a[3]","ai[3]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","a2","a[2]","ai[2]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","a1","a[1]","ai[1]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","a0","a[0]","ai[0]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","b3","b[3]","bi[3]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","b2","b[2]","bi[2]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","b1","b[1]","bi[1]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","b0","b[0]","bi[0]","vddp","vddp","vssp","vssp",0);

LOINS ("pi_p","d3","d[3]","di[3]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","d2","d[2]","di[2]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","d1","d[1]","di[1]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","d0","d[0]","di[0]","vddp","vddp","vssp","vssp",0);

LOINS ("pi_p","cin","cin","cini","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","scout","nscout","scout","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","cout","ncout","cout","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","np","p","np","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","ng","g","ng","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","signe","nsigne","signe","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","zero","nzero","zero","vddp","vddp","vssp","vssp",0);
LOINS ("po_p","ovr","novr","ovr","vddp","vddp","vssp","vssp",0);

LOINS ("piot_p","q0","nf0","ndecald","nq0","q0","vddp","vddp","vssp","vssp",0);
LOINS ("piot_p","q3","nf3","ndecalg","nq3","q3","vddp","vddp","vssp","vssp",0);
LOINS ("piot_p","r0","ns0","ndecaldr","nr0","r0","vddp","vddp","vssp","vssp",0);
LOINS ("piot_p","r3","ns3","ndecalgr","nr3","r3","vddp","vddp","vssp","vssp",0);

LOINS ("pi_p","noe","noe","no","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","fonc","fonc","fonci","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","test","test","testi","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","scin","scin","scini","vddp","vddp","vssp","vssp",0);

LOINS ("pi_p","i8","i[8]","ii[8]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i7","i[7]","ii[7]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i6","i[6]","ii[6]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i5","i[5]","ii[5]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i4","i[4]","ii[4]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i3","i[3]","ii[3]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i2","i[2]","ii[2]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i1","i[1]","ii[1]","vddp","vddp","vssp","vssp",0);
LOINS ("pi_p","i0","i[0]","ii[0]","vddp","vddp","vssp","vssp",0);

LOINS ("pi_p","ck","ck","cki","vddp","vddp","vssp","vssp",0);

LOINS ("pot_p","y0","ny[0]","no","y[0]","vddp","vddp","vssp","vssp",0);
LOINS ("pot_p","y1","ny[1]","no","y[1]","vddp","vddp","vssp","vssp",0);
LOINS ("pot_p","y2","ny[2]","no","y[2]","vddp","vddp","vssp","vssp",0);
LOINS ("pot_p","y3","ny[3]","no","y[3]","vddp","vddp","vssp","vssp",0);

LOINS ("heart","heart","ai[3:0]","bi[3:0]","di[3:0]","cini","ncout","p","g","nsigne","nzero","novr","ii[8:0]","nq0","nq3","nf0","nf3","fonci","testi","scini","nscout","ndecald","ndecalg","ndecaldr","ndecalgr","nr0","nr3","ns0","ns3","cki","ny[3:0]","vdd","vss",0);

SAVE_LOFIG();
exit(0);
}
