#include<stdio.h>

/*===============================*/
/* Liste des nom des generateurs */
/*===============================*/
char Liste_nom[1024][80];

/**************/
/* Principale */
/**************/
main(argc,argv)
int argc;
char *argv[];
{
	char chaine[255],generateur[255],nom[255];
	FILE *desc,*menu,*win,*run;
	int i,n=0,m,nb_arg;

	/*----------------------*/
	/* Ouverture du fichier */
	/*----------------------*/
	if( (desc=fopen(argv[1],"rt"))!=NULL )
	{
		/*-----------------------*/
		/* Ouveture des fichiers */
		/*-----------------------*/
		menu=fopen("alcMenuGenerators.il","wt");
		win=fopen("alcWindowsGenerators.il","wt");
		run=fopen("alcRunGenerators.il","wt");

		/*---------*/
		/* En tete */
		/*---------*/
		fprintf(menu,"/******************************************************/\n");
		fprintf(menu,"/*                    Menu Generators                 */\n");
		fprintf(menu,"/******************************************************/\n\n");
		fprintf(win,"/******************************************************/\n");
		fprintf(win,"/*                 Windows Generators                 */\n");
		fprintf(win,"/******************************************************/\n\n");
		fprintf(run,"/******************************************************/\n");
		fprintf(run,"/*                    Run Generators                  */\n");
		fprintf(run,"/******************************************************/\n\n");

		/*---------*/
		/* Parseur */
		/*---------*/
		while( fgets(chaine,255,desc) )
		{
			/*---------------------*/
			/* Lecture d'une ligne */
			/*---------------------*/
			sscanf(chaine,"%s %s %d",generateur,nom,&nb_arg);

			/*---------------------*/
			/* Test si commentaire */
			/*---------------------*/
			if( generateur[0]=='/' || generateur[0]=='\n' || generateur[0]==0 ) continue;

			/*--------------*/
			/* Fichier Menu */
			/*--------------*/
			fprintf(menu,"alc%s = hiCreateMenuItem( ?name 'alc%s ?itemText \"%s\" ?callback \"alc%sOpenWindow\")\n",nom,nom,nom,nom);

			/*-----------------*/
			/* Fichier Windows */
			/*-----------------*/
			for( i=1 ; i<=nb_arg ; i++ )
			{
				fprintf(win,"alc%sOp%d = hiCreateIntField( ?name 'alc%sOp%d ?prompt   \"Operand %d\" ?value    6)\n",nom,i,nom,i,i);
			}
			fprintf(win,"alc%sForm = hiCreateForm( 'alc%sForm \"%s\" \"alcRun%s()\" list(\n",nom,nom,nom,nom);
			for( i=1 ; i<=nb_arg ; i++ )
			{
				fprintf(win,"alc%sOp%d\n",nom,i);
			}
			fprintf(win,"))\n");
			fprintf(win,"procedure(alc%sOpenWindow() hiDisplayForm('alc%sForm))\n\n",nom,nom); 

			/*-------------*/
			/* Fichier Run */
			/*-------------*/
			fprintf(run,"procedure( %s(",nom);
			for( i=1 ; i<=nb_arg ; i++ ) fprintf(run,"Op%d ",i);
			fprintf(run,")\n");
			fprintf(run,"let((name param)\n");
			fprintf(run,"sprintf(name \"%s",nom);
			for( i=1 ; i<=nb_arg ; i++ ) fprintf(run,"_%%d");
			fprintf(run,"\"");
			for( i=1 ; i<=nb_arg ; i++ ) fprintf(run," Op%d",i);
			fprintf(run,")\n");
			fprintf(run,"sprintf(param \"");
			for( i=1 ; i<=nb_arg ; i++ ) fprintf(run,"%%d ");
			fprintf(run,"\"");
			for( i=1 ; i<=nb_arg ; i++ ) fprintf(run," Op%d",i);
			fprintf(run,")\n");
	            	fprintf(run,"alcRunGenoptim(\"%s\",name,param)\n",generateur);
			fprintf(run,"))\n\n");

			fprintf(run,"procedure( alcRun%s() let(()\n",nom);
			fprintf(run,"%s(",nom);
			for( i=1 ; i<=nb_arg ; i++ ) fprintf(run," alc%sForm->alc%sOp%d->value",nom,nom,i);
			fprintf(run,")\n))\n\n");

			/*-----------*/
			/* Liste Nom */
			/*-----------*/
			strcpy(Liste_nom[n++],nom);
		}

		/*--------------*/
		/* Fichier Menu */
		/*--------------*/
		for( i=0,m=1 ; m<=2 ; m++ )
		{
			fprintf(menu,"\n    alcSubMenu%d = hiCreatePulldownMenu( 'alcSubMenu%d \"Gene\" list(\n",m,m);
			while( i<n && i<((m*n)/2)+1 ) fprintf(menu,"\talc%s\n",Liste_nom[i++]);
			fprintf(menu,"    ))\n");
		}

		/*-------------------*/
		/* Fermeture Fichier */
		/*-------------------*/
		fclose(menu);
		fclose(win);
		fclose(run);
	}

	/*-------------------*/
	/* Fermeture Fichier */
	/*-------------------*/
	fclose(desc);
}
