// 
// 	VERILOG-HDL generated from `nao4_y.vbe` VHDL description
// 	by	: B2V (Beh to VERILOG)
// 	date	: Thu Jan  7 15:32:55 1999
// 

`resetall
`timescale 1 ns / 10 ps
`celldefine

// Module Declaration
module	nao4_y	(f, j2, j1, j0, i);
	output	f;
	input	j2, j1, j0, i;
	wire	f_0, f_1;

	// Specify block

	specify

		// Specify Parameters
		specparam	Trans$		= 0;
		specparam	Area$		= 151200;
		specparam	Power$		= 0;
		specparam	Fdrive$f	= 0;
		specparam	Rdrive$f	= 0;
		specparam	eresof$f	= 0;
		specparam	eresor$f	= 0;
		specparam	dcap$f		= 0;
		specparam	tj0_ff		= 0.725;
		specparam	tj0_fr		= 0.428;
		specparam	Load$j0		= 0.050;
		specparam	inload$j0	= 0.050;
		specparam	tj1_ff		= 0.654;
		specparam	tj1_fr		= 0.524;
		specparam	Load$j1		= 0.050;
		specparam	inload$j1	= 0.050;
		specparam	tj2_ff		= 0.549;
		specparam	tj2_fr		= 0.614;
		specparam	Load$j2		= 0.050;
		specparam	inload$j2	= 0.050;
		specparam	ti_ff		= 0.385;
		specparam	ti_fr		= 0.433;
		specparam	Load$i		= 0.040;
		specparam	inload$i	= 0.040;

		// Path Delays
		( j0  -=>	f)		= (tj0_fr, tj0_ff);
		( j1  -=>	f)		= (tj1_fr, tj1_ff);
		( j2  -=>	f)		= (tj2_fr, tj2_ff);
		( i  -=>	f)		= (ti_fr, ti_ff);

	endspecify

	// Instantiation block
		and (f_1, j0, j1);
		and (f_0, f_0, j2);
		nor (f, f_0, i);

endmodule
`endcelldefine
