tfcDefineView(
;( ViewName           ViewType        )
 ( layout             maskLayout      )
 ( autoLayout         maskLayout      )
 ( extracted          maskLayout      )
 ( schematic          schematic       )
 ( stick              maskLayout      )
 ( symbol             schematicSymbol )
 ( symbolic           maskLayout      )
 ( symboll            schematicSymbol )
 ( symbollOff         schematicSymbol )
 ( symbolr            schematicSymbol )
 ( symbolrOff         schematicSymbol )
 ( lvs                schematicSymbol )
 ( functional	      "netlist.v")
)

tfcDefineViewPropByViewType(
;( ViewType           PropName               PropValue )
 ( maskLayout         gridType               "points" )
 ( maskLayout         snapMode               "orthogonal" )
 ( maskLayout         borderOnly             nil )
 ( maskLayout         drawSurroundingOn      t )
 ( maskLayout         borderRows             1 )
 ( maskLayout         borderCols             1 )
 ( maskLayout         instLabel              "master" )
 ( maskLayout         viewNameList           "" )
 ( maskLayout         accessEdgesOn          nil )
 ( maskLayout         startLevel             0 )
 ( maskLayout         stopLevel              20 )
 ( maskLayout         userUnits              "microns" )
 ( maskLayout         gridSpacing            1.000000 )
 ( maskLayout         threePointMode         "width" )
 ( maskLayout         minGridResolution      1.000000 )
 ( maskLayout         filterSize             1.000000 )
 ( maskLayout         maxDragFig             500 )
 ( maskLayout         xSnapSpacing           1.000000 )
 ( maskLayout         ySnapSpacing           1.000000 )
 ( maskLayout         gridMultiple           5 )
 ( maskLayout         originMarkersOn        t )
 ( maskLayout         gravityOn              nil )
 ( maskLayout         drawDottedGridOn       nil )
 ( maskLayout         drawGridOn             t )
 ( maskLayout         iconsOn                nil )
 ( maskLayout         dragOn                 t )
 ( maskLayout         netsOn                 nil )
 ( maskLayout         labelsOn               t )
 ( maskLayout         drawAxesOn             t )
 ( maskLayout         dotsOn                 t )
 ( maskLayout         drawInstancePins       nil )
 ( maskLayout         pathCL                 "yes" )
 ( schematic          userUnits              "inches" )
 ( schematic          DBUPerUU               160.000000 )
 ( schematic          viewNameList           "schematic symbol" )
 ( schematic          coalesceLimit          2 )
 ( schematic          maxDragFig             50 )
 ( schematic          pointSelectMode        "many" )
 ( schematic          areaSelectMode         "figure" )
 ( schematic          selectionAperture      0.500000 )
 ( schematic          snapShapeRule          "xFirst" )
 ( schematic          snapShape              "L90" )
 ( schematic          snapMode               "anyAngle" )
 ( schematic          pathCL                 "no" )
 ( schematic          drawDottedGridOn       t )
 ( schematic          drawGridOn             t )
 ( schematic          drawAxesOn             nil )
 ( schematic          netsOn                 nil )
 ( schematic          stopLevel              20 )
 ( schematic          startLevel             0 )
 ( schematic          pathWidth              0.062500 )
 ( schematic          ySnapSpacing           0.062500 )
 ( schematic          xSnapSpacing           0.062500 )
 ( schematic          gridSpacing            0.125000 )
 ( schematic          gridMultiple           8 )
 ( schematicSymbol    pathCL                 "no" )
 ( schematicSymbol    snapMode               "anyAngle" )
 ( schematicSymbol    snapShape              "line" )
 ( schematicSymbol    snapShapeRule          "xFirst" )
 ( schematicSymbol    selectionAperture      0.500000 )
 ( schematicSymbol    areaSelectMode         "figure" )
 ( schematicSymbol    pointSelectMode        "many" )
 ( schematicSymbol    maxDragFig             50 )
 ( schematicSymbol    coalesceLimit          2 )
 ( schematicSymbol    viewNameList           "schematic symbol" )
 ( schematicSymbol    DBUPerUU               160.000000 )
 ( schematicSymbol    gridMultiple           8 )
 ( schematicSymbol    pathWidth              0.062500 )
 ( schematicSymbol    ySnapSpacing           0.062500 )
 ( schematicSymbol    xSnapSpacing           0.062500 )
 ( schematicSymbol    gridSpacing            0.125000 )
 ( schematicSymbol    drawDottedGridOn       t )
 ( schematicSymbol    drawGridOn             t )
 ( schematicSymbol    drawAxesOn             t )
 ( schematicSymbol    netsOn                 nil )
 ( schematicSymbol    stopLevel              20 )
 ( schematicSymbol    startLevel             0 )
)

tfcDefineViewProp(
;( ViewName           PropName               PropValue )
 ( symbolic           DBUPerUU               100.000000 )
 ( stick              DBUPerUU               100.000000 )
 ( layout             DBUPerUU               100.000000 )
 ( autoLayout         DBUPerUU               100.000000 )
 ( extracted	      DBUPerUU		     100.000000 )
 ( symbolrOff         userUnits              "inches" )
 ( symbolr            userUnits              "inches" )
 ( symbollOff         userUnits              "inches" )
 ( symboll            userUnits              "inches" )
 ( symbol             userUnits              "inches" )
; ( lvs                userUnits              "inches" )
)
