#include <genlib.h>
main ()
{
DEF_LOFIG ("chip");

LOCON ("A[3:0]",'I',"a[3:0]");
LOCON ("B[3:0]",'I',"b[3:0]");
LOCON ("D[3:0]",'I',"d[3:0]");
LOCON ("CIN",'X',"cin");
LOCON ("COUT",'X',"cout");
LOCON ("NP",'O',"np");
LOCON ("NG",'O',"ng");
LOCON ("SIGNE",'X',"signe");
LOCON ("ZERO",'O',"zero");
LOCON ("OVR",'O',"ovr");
LOCON ("I[8:0]",'I',"i[8:0]");
LOCON ("Q0",'X',"q0");
LOCON ("Q3",'X',"q3");
LOCON ("R0",'X',"r0");
LOCON ("R3",'X',"r3");
LOCON ("NOE",'I',"noe");
LOCON ("FONC",'I',"fonc");
LOCON ("TEST",'I',"test");
LOCON ("SCIN",'I',"scin");
LOCON ("SCOUT",'O',"scout");
LOCON ("CKE",'I',"cke");
LOCON ("VDDE",'I',"vdde");
LOCON ("VSSE",'I',"vsse");
LOCON ("VDDI",'I',"vddi");
LOCON ("VSSI",'I',"vssi");
LOCON ("Y[3:0]",'X',"y[3:0]");

/* ring of pads alimentation */

LOINS ("pvdde_sp","vdde_p0","ck","vdde","vddi","vsse","vssi",0); 
LOINS ("pvsse_sp","vsse_p0","ck","vdde","vddi","vsse","vssi",0); 
LOINS ("pvsseck_sp","vsse_ck","cko","ck","vdde","vddi","vsse","vssi",0); 
/* heart alimentation */

LOINS ("pvddi_sp","vddi_p1","ck","vdde","vddi","vsse","vssi",0); 
LOINS ("pvssi_sp","vssi_p1","ck","vdde","vddi","vsse","vssi",0); 

LOINS ("pi_sp","a3","a[3]","ai[3]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","a2","a[2]","ai[2]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","a1","a[1]","ai[1]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","a0","a[0]","ai[0]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","b3","b[3]","bi[3]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","b2","b[2]","bi[2]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","b1","b[1]","bi[1]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","b0","b[0]","bi[0]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","d3","d[3]","di[3]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","d2","d[2]","di[2]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","d1","d[1]","di[1]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","d0","d[0]","di[0]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","cin","cin","cini","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","scout","scoutc","scout","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","cout","coutc","cout","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","np","npc","np","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","ng","ngc","ng","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","signe","signec","signe","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","zero","zeroc","zero","ck","vdde","vddi","vsse","vssi",0);
LOINS ("po_sp","ovr","ovrc","ovr","ck","vdde","vddi","vsse","vssi",0);
LOINS ("piot_sp","q0","f0c","decaldc","q0i","q0","ck","vdde","vddi","vsse","vssi",0);
LOINS ("piot_sp","q3","f3c","decalgc","q3i","q3","ck","vdde","vddi","vsse","vssi",0);
LOINS ("piot_sp","r0","s0c","decaldrc","r0i","r0","ck","vdde","vddi","vsse","vssi",0);
LOINS ("piot_sp","r3","s3c","decalgrc","r3i","r3","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","noe","noe","noei","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","fonc","fonc","fonci","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","test","test","testi","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","scin","scin","scini","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i8","i[8]","ii[8]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i7","i[7]","ii[7]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i6","i[6]","ii[6]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i5","i[5]","ii[5]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i4","i[4]","ii[4]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i3","i[3]","ii[3]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i2","i[2]","ii[2]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i1","i[1]","ii[1]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pi_sp","i0","i[0]","ii[0]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pck_sp","ck","cke","ck","vdde","vddi","vsse","vssi",0);

LOINS ("pot_sp","y0","yc[0]","oec","y[0]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pot_sp","y1","yc[1]","oec","y[1]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pot_sp","y2","yc[2]","oec","y[2]","ck","vdde","vddi","vsse","vssi",0);
LOINS ("pot_sp","y3","yc[3]","oec","y[3]","ck","vdde","vddi","vsse","vssi",0);

LOINS ("heart","heart","ai[3:0]","bi[3:0]","di[3:0]","cini","coutc","npc","ngc","signec","zeroc","ovrc","ii[8:0]","q0i","q3i","f0c","f3c","fonci","testi","scini","scoutc","decaldc","decalgc","decaldrc","decalgrc","r0i","r3i","s0c","s3c","cko","yc[3:0]","noei","oec","vddi","vssi",0);

SAVE_LOFIG();
exit(0);
}
