// Last Change for CiK2.0 
// 12 Mar 93 
`resetall
`timescale 1 ns / 10 ps
`celldefine
`suppress_faults
module ms_y(t,l,i);
	output t;
	input l,i;
	reg notifier;


	// specify block
	specify
		// specify parameters
		specparam          tl_tf	= 0.0 ;
		specparam          tl_tr	= 0.0 ;
		specparam            lwl	= 0.0 ;
		specparam            lwh	= 0.0 ;
		specparam           ihold	= 0.0 ;
		specparam          isetup	= 0.0 ;
		specparam        Fdrive$t	= 0.0 ;
		specparam        eresof$t	= 1548;
		specparam        Rdrive$t	= 0.0 ;
		specparam        eresor$t	= 964 ;
		specparam       Maxload$t	= 0.0 ;
		specparam          dcap$t	= 0.0 ;
		specparam         Load$l	= 0.089 ;
		specparam          Load$i	= 0.052 ;
		specparam       inload$l	= 0.089 ;
		specparam        inload$i	= 0.052 ;
		specparam           Trans$	= 0.0 ;
		specparam           Area$	= 3024;
		specparam          Power$	= 0.0 ;

		// path delays
		( negedge l =>  (t  +: i))	= (tl_tr,tl_tf);

		// timing check
		$setuphold(negedge l, i, isetup, ihold, notifier);
		$width(posedge l, lwl, 0, notifier);
		$width(negedge l, lwh, 0, notifier);
	endspecify

	// instantiation
        `ifdef SYNTH
                reg ti;
                always @(negedge l)
                ti = i;
        `else
		wire vdd = 1;
		wire ln;
		not(ln,l);
		udp_dff (ti,ln,i,vdd,vdd,notifier);
        `endif

	buf (t,ti);

endmodule
`nosuppress_faults
`endcelldefine
