// 
// 	VERILOG-HDL generated from `nao3_y.vbe` VHDL description
// 	by	: B2V (Beh to VERILOG)
// 	date	: Fri Feb  2 16:48:32 1996
// 

`resetall
`timescale 1 ns / 10 ps
`celldefine

// Module Declaration
module	nao3_y	(f, i2, i1, i0);
	output	f;
	input	i2, i1, i0;
	wire	f_0;

	// Specify block

	specify

		// Specify Parameters
		specparam	Trans$		= 0;
		specparam	Area$		= 1008;
		specparam	Power$		= 0;
		specparam	Fdrive$f	= 0;
		specparam	Rdrive$f	= 0;
		specparam	eresof$f	= 3073;
		specparam	eresor$f	= 3198;
		specparam	dcap$f		= 0;
		specparam	ti0_ff		= 0.810;
		specparam	ti0_fr		= 0.761;
		specparam	Load$i0		= 0.062;
		specparam	inload$i0	= 0.062;
		specparam	ti1_ff		= 0.689;
		specparam	ti1_fr		= 0.827;
		specparam	Load$i1		= 0.061;
		specparam	inload$i1	= 0.061;
		specparam	ti2_ff		= 0.660;
		specparam	ti2_fr		= 0.778;
		specparam	Load$i2		= 0.053;
		specparam	inload$i2	= 0.053;

		// Path Delays
		( i0  -=>	f)		= (ti0_fr, ti0_ff);
		( i1  -=>	f)		= (ti1_fr, ti1_ff);
		( i2  -=>	f)		= (ti2_fr, ti2_ff);

	endspecify

	// Instantiation block
		and (f_0, i0, i1);
		nor (f, f_0, i2);

endmodule
`endcelldefine
