primitive udp_dff(q,ck,d,resetz,setz,notifier);
	output q;
	reg q;
	input ck,d,resetz,setz,notifier;
	table
	// ck     d   resetz  setz    notifier  : state : q ;

	// resetz or setz inactive
   	   *      ?      ?      0        ?      :   ?   : - ;
   	   *      ?      0      ?        ?      :   ?   : - ;
   	   ?      *      ?      0        ?      :   ?   : - ;
   	   ?      *      0      ?        ?      :   ?   : - ;
	
	// events on ck
  	  (01)    0      1      1        ?      :   ?   : 0 ;
  	  (01)    1      1      1        ?      :   ?   : 1 ;
  	  (01)    0      X      1        ?      :   ?   : 0 ;
  	  (01)    1      1      X        ?      :   ?   : 1 ;
  	  (10)    ?      ?      ?        ?      :   ?   : - ;
  	  (0X)    0      1      1        ?      :   0   : 0 ;
  	  (1X)    0      1      1        ?      :   0   : 0 ;
  	  (0X)    1      1      1        ?      :   1   : 1 ;
  	  (1X)    1      1      1        ?      :   1   : 1 ;
  	  (0X)    0      X      1        ?      :   ?   : - ;
  	  (1X)    0      X      1        ?      :   ?   : - ;
  	  (0X)    1      1      X        ?      :   ?   : - ;
  	  (1X)    1      1      X        ?      :   ?   : - ;
  	  (X0)    ?      ?      ?        ?      :   ?   : - ;
  	  (X1)    ?      ?      ?        ?      :   ?   : - ;
   	
	// events on d
   	   ?     (01)    1      X        ?      :   ?   : - ;
   	   ?     (0X)    1      X        ?      :   ?   : - ;
   	   ?     (10)    X      1        ?      :   ?   : - ;
   	   ?     (1X)    X      1        ?      :   ?   : - ;
   	   0     (01)    1      1        ?      :   ?   : - ;
   	   0     (0X)    1      1        ?      :   ?   : - ;
   	   1     (01)    1      1        ?      :   ?   : - ;
   	   1     (0X)    1      1        ?      :   ?   : - ;
   	   0     (10)    1      1        ?      :   ?   : - ;
   	   0     (1X)    1      1        ?      :   ?   : - ;
   	   1     (10)    1      1        ?      :   ?   : - ;
   	   1     (1X)    1      1        ?      :   ?   : - ;
   	   0     (01)    X      1        ?      :   ?   : - ;
   	   0     (0X)    X      1        ?      :   ?   : - ;
   	   1     (01)    X      1        ?      :   ?   : - ;
   	   1     (0X)    X      1        ?      :   ?   : - ;
   	   0     (10)    1      X        ?      :   ?   : - ;
   	   0     (1X)    1      X        ?      :   ?   : - ;
   	   1     (10)    1      X        ?      :   ?   : - ;
   	   1     (1X)    1      X        ?      :   ?   : - ;
   	   ?     (X0)    ?      ?        ?      :   ?   : - ;
   	   ?     (X1)    ?      ?        ?      :   ?   : - ;
	
	// events on resetz
   	   0      ?     (01)    1        ?      :   ?   : 0 ;
   	   0      ?     (0X)    1        ?      :   ?   : 0 ;
   	   1      ?     (01)    1        ?      :   ?   : 0 ;
   	   1      ?     (0X)    1        ?      :   ?   : 0 ;
   	   X      0     (01)    1        ?      :   ?   : 0 ;
   	   X      0     (0X)    1        ?      :   ?   : 0 ;
   	   ?      ?     (10)    1        ?      :   ?   : 0 ;
   	   ?      ?     (X0)    1        ?      :   ?   : 0 ;
   	   ?      ?     (01)    0        ?      :   ?   : 1 ;
   	   ?      ?     (X1)    0        ?      :   ?   : 1 ;
   	   ?      ?     (1X)    1        ?      :   0   : 0 ;
   	   ?      ?     (X1)    1        ?      :   0   : 0 ;
	
	// events on setz
   	   0      ?      1     (01)      ?      :   ?   : 1 ;
   	   0      ?      1     (0X)      ?      :   ?   : 1 ;
   	   1      ?      1     (01)      ?      :   ?   : 1 ;
   	   1      ?      1     (0X)      ?      :   ?   : 1 ;
   	   X      1      1     (01)      ?      :   ?   : 1 ;
   	   X      1      1     (0X)      ?      :   ?   : 1 ;
   	   ?      ?      1     (10)      ?      :   ?   : 1 ;
   	   ?      ?      1     (X0)      ?      :   ?   : 1 ;
   	   ?      ?      0     (01)      ?      :   ?   : 0 ;
   	   ?      ?      0     (X1)      ?      :   ?   : 0 ;
   	   ?      ?      1     (1X)      ?      :   1   : 1 ;
   	   ?      ?      1     (X1)      ?      :   1   : 1 ;
	   ?      ?      ?      ?        *      :   ?   : x ;  // at any notifier event,
					                       // output goes to x
	endtable
endprimitive
