primitive udp_lat(q,load,d,resetz,setz,notifier,recover );
	output q;
	reg q;
	input load,d,resetz,setz,notifier,recover;
	table

// ld     d    resetz  setz  notifier  recover : state : q ;

   *      ?      ?      0        ?    ?      :   ?   : - ;
   *      ?      0      ?        ?    ?      :   ?   : - ;
   ?      *      ?      0        ?    ?      :   ?   : - ;
   ?      *      0      ?        ?    ?      :   ?   : - ;

// event on ld
  (01)    0      1      1        ?    ?      :   ?   : 0 ;
  (01)    1      1      1        ?    ?      :   ?   : 1 ;
  (01)    0      X      1        ?    ?      :   ?   : 0 ;
  (01)    1      1      X        ?    ?      :   ?   : 1 ;
  (0X)    0      1      1        ?    ?      :   0   : 0 ;
  (0X)    1      1      1        ?    ?      :   1   : 1 ;
  (0X)    0      X      1        ?    ?      :   0   : 0 ;
  (0X)    1      1      X        ?    ?      :   1   : 1 ;
  (10)    ?      ?      ?        ?    ?      :   ?   : - ;
  (1X)    ?      ?      ?        ?    ?      :   ?   : - ;
  (X0)    ?      ?      ?        ?    ?      :   ?   : - ;
  (X1)    0      1      1        ?    ?      :   ?   : 0 ;
  (X1)    1      1      1        ?    ?      :   ?   : 1 ;
  (X1)    0      X      1        ?    ?      :   ?   : 0 ;
  (X1)    1      1      X        ?    ?      :   ?   : 1 ;

// event on d
   0     (01)    X      1        ?    ?      :   0   : 0 ;
   0     (01)    1      1        ?    ?      :   ?   : - ;
   1     (01)    1      1        ?    ?      :   ?   : 1 ;
   0     (01)    1      X        ?    ?      :   1   : 1 ;
   1     (01)    1      X        ?    ?      :   ?   : 1 ;
   0     (0X)    1      1        ?    ?      :   ?   : - ;
   ?     (0X)    1      X        ?    ?      :   1   : 1 ;
   0     (0X)    X      1        ?    ?      :   0   : 0 ;
   0     (10)    1      1        ?    ?      :   ?   : - ;
   1     (10)    1      1        ?    ?      :   ?   : 0 ;
   0     (10)    X      1        ?    ?      :   ?   : - ;
   1     (10)    X      1        ?    ?      :   ?   : 0 ;
   0     (10)    1      X        ?    ?      :   1   : 1 ;
   0     (1X)    1      1        ?    ?      :   ?   : - ;
   0     (1X)    X      1        ?    ?      :   ?   : - ;
   0     (1X)    1      X        ?    ?      :   ?   : - ;
   0     (X0)    1      1        ?    ?      :   ?   : - ;
   1     (X0)    1      1        ?    ?      :   ?   : 0 ;
   0     (X0)    X      1        ?    ?      :   ?   : - ;
   1     (X0)    X      1        ?    ?      :   ?   : 0 ;
   0     (X0)    1      X        ?    ?      :   1   : 1 ;
   0     (X1)    1      1        ?    ?      :   ?   : - ;
   1     (X1)    1      1        ?    ?      :   ?   : 1 ;
   0     (X1)    X      1        ?    ?      :   ?   : - ;
   0     (X1)    1      X        ?    ?      :   ?   : - ;
   1     (X1)    1      X        ?    ?      :   ?   : 1 ;

// event on resetz
   ?      ?     (01)    0        ?    ?      :   ?   : 1 ;
   1      1     (01)    X        ?    ?      :   ?   : 1 ;
   0      ?     (01)    1        ?    ?      :   0   : 0 ;
   1      0     (01)    1        ?    ?      :   0   : 0 ;
   1      1     (01)    1        ?    ?      :   ?   : 1 ;
   X      0     (01)    1        ?    ?      :   0   : 0 ;
   0      ?     (0X)    1        ?    ?      :   0   : 0 ;
   1      0     (0X)    1        ?    ?      :   0   : 0 ;
   X      0     (0X)    1        ?    ?      :   0   : 0 ;
   ?      ?     (10)    1        ?    ?      :   ?   : 0 ;
   ?      ?     (1X)    1        ?    ?      :   0   : 0 ;
   ?      ?     (X0)    1        ?    ?      :   ?   : 0 ;
   ?      ?     (X1)    0        ?    ?      :   ?   : 1 ;
   1      1     (X1)    X        ?    ?      :   ?   : 1 ;
   ?      ?     (X1)    1        ?    ?      :   0   : 0 ;
   1      1     (X1)    1        ?    ?      :   X   : 1 ;

// event on setz
   ?      ?      0     (01)      ?    ?      :   ?   : 0 ;
   1      0      X     (01)      ?    ?      :   ?   : 0 ;
   0      ?      1     (01)      ?    ?      :   1   : 1 ;
   1      0      1     (01)      ?    ?      :   1   : 0 ;
   1      1      1     (01)      ?    ?      :   1   : 1 ;
   X      1      1     (01)      ?    ?      :   1   : 1 ;
   0      ?      1     (0X)      ?    ?      :   1   : 1 ;
   1      1      1     (0X)      ?    ?      :   1   : 1 ;
   X      1      1     (0X)      ?    ?      :   1   : 1 ;
   ?      ?      1     (10)      ?    ?      :   ?   : 1 ;
   ?      ?      1     (1X)      ?    ?      :   1   : 1 ;
   ?      ?      1     (X0)      ?    ?      :   ?   : 1 ;
   ?      ?      0     (X1)      ?    ?      :   ?   : 0 ;
   1      0      X     (X1)      ?    ?      :   ?   : 0 ;
   ?      ?      1     (X1)      ?    ?      :   1   : 1 ;
   1      0      1     (X1)      ?    ?      :   X   : 0 ;

   ?	  ?	 ?      ?        *    ?      :   ?   : X ; 
   ?	  0	 ?      ?        ?    *      :   X   : 0 ; 
   ?	  1	 ?      ?        ?    *      :   X   : 1 ; 
   ?	  X	 ?      ?        ?    *      :   ?   : X ; 
endtable
endprimitive
