/******************************************************************************/
/*                                                                            */
/*    	     FICHIER D'EXTRACTION DE LAYOUT                                   */
/*                                                                            */
/******************************************************************************/

drcExtractRules(

	L_NWELL = geomOr( "L_NWELL" )
  	L_PWELL = geomOr( "L_PWELL" ) 
	L_NDIF  = geomOr( "L_NDIF" )
	L_PDIF  = geomOr( "L_PDIF" )
  	L_NTIE  = geomOr( "L_NTIE" )
  	L_PTIE  = geomOr( "L_PTIE" )
  	L_POLY  = geomOr( "L_POLY" )
  	L_GATE  = geomOr( "L_GATE" )
	L_TPOLY = geomOr( "L_TPOLY" )
  	L_ALU1  = geomOr( "L_ALU1" )
  	L_TALU1 = geomOr( "L_TALU1" )
  	L_VIA1  = geomOr( "L_VIA1" )
  	L_ALU2  = geomOr( "L_ALU2" )
  	L_TALU2 = geomOr( "L_TALU2" )
  	L_VIA2  = geomOr( "L_VIA2" )
  	L_ALU3  = geomOr( "L_ALU3" )
  	L_TALU3 = geomOr( "L_TALU3" )
	L_CONT  = geomOr( "L_CONT" )
	L_REF_C  = geomOr( "L_REF_C" )

	ivIf( switch("extract?") then

        pgate = geomAnd( L_GATE L_PDIF )
        ngate = geomAnd( L_GATE L_NDIF )
        cont_gate = geomAnd( L_GATE L_POLY )
        psd = geomAndNot( L_PDIF L_GATE )
        nsd = geomAndNot( L_NDIF L_GATE )

	geomConnect(
	label( "text" L_POLY)
	via( cont_gate L_GATE L_POLY )
	via( L_CONT psd nsd L_POLY L_NTIE L_PTIE L_ALU1 )
	via( L_VIA1 L_ALU1 L_ALU2 )
	)

	extractMOS( ngate (L_GATE "G") (nsd "D" "S") "NTRANS symbol" )
	extractMOS( pgate (L_GATE "G") (psd "S" "D") "PTRANS symbol" )
	saveRecognition( ngate "device")
	saveRecognition( pgate "device")
;	saveInterconnect(L_REF_C L_NDIF L_PDIF L_GATE L_POLY L_CONT L_ALU1 L_VIA1 L_ALU2 )
	copyGraphics(("text" "drawing" ))
	)
)
